; CrystFEL geometry file produced by prepare_cheetah_api2.py
;   Takanori Nakane (takanori.nakane@bs.s.u-tokyo.ac.jp)
; for tiled but NOT reassembled images (512x8192 pixels)

clen = 0.0500               ; 50.0 mm camera length. You SHOULD optimize this!
res = 20000                 ; = 1 m /50 micron
;badrow_direction = x
;max_adu = 250000           ; should NOT be used. see best practice on CrystFEL's Web site
data = /%/data
;mask = /metadata/pixelmask ; this does not work in CrystFEL 0.6.2 (reported bug)
mask_good = 0x00            ; instead, we can specify bad regions below if necessary
mask_bad = 0xFF
photon_energy = /%/photon_energy_ev ; roughly 9996.0 eV

; Definitions for geoptimiser
rigid_group_q1 = q1
rigid_group_q2 = q2
rigid_group_q3 = q3
rigid_group_q4 = q4
rigid_group_q5 = q5
rigid_group_q6 = q6
rigid_group_q7 = q7
rigid_group_q8 = q8

rigid_group_collection_connected = q1,q2,q3,q4,q5,q6,q7,q8
rigid_group_collection_independent = q1,q2,q3,q4,q5,q6,q7,q8

; Panel definitions
; sensor MPCCD-8B0-2-003-1
q1/adu_per_eV = 0.001000
q1/min_fs = 0
q1/min_ss = 0
q1/max_fs = 511
q1/max_ss = 1023
q1/fs = 0.002693x -0.999996y
q1/ss = 0.999996x +0.002693y
q1/corner_x = 36.407000
q1/corner_y = 1032.487969

; sensor MPCCD-8B0-2-003-2
q2/adu_per_eV = 0.001000
q2/min_fs = 0
q2/min_ss = 1024
q2/max_fs = 511
q2/max_ss = 2047
q2/fs = 0.001991x -0.999998y
q2/ss = 0.999998x +0.001991y
q2/corner_x = 35.123401
q2/corner_y = 497.650000

; sensor MPCCD-8B0-2-003-3
q3/adu_per_eV = 0.001000
q3/min_fs = 0
q3/min_ss = 2048
q3/max_fs = 511
q3/max_ss = 3071
q3/fs = 0.002428x -0.999997y
q3/ss = 0.999997x +0.002428y
q3/corner_x = -16.924080
q3/corner_y = -36.154600

; sensor MPCCD-8B0-2-003-4
q4/adu_per_eV = 0.001000
q4/min_fs = 0
q4/min_ss = 3072
q4/max_fs = 511
q4/max_ss = 4095
q4/fs = 0.002451x -0.999997y
q4/ss = 0.999997x +0.002451y
q4/corner_x = -18.489940
q4/corner_y = -569.806016

; sensor MPCCD-8B0-2-003-5
q5/adu_per_eV = 0.001000
q5/min_fs = 0
q5/min_ss = 4096
q5/max_fs = 511
q5/max_ss = 5119
q5/fs = -0.002553x +0.999997y
q5/ss = -0.999997x -0.002553y
q5/corner_x = 18.786360
q5/corner_y = 571.150000

; sensor MPCCD-8B0-2-003-6
q6/adu_per_eV = 0.001000
q6/min_fs = 0
q6/min_ss = 5120
q6/max_fs = 511
q6/max_ss = 6143
q6/fs = -0.002972x +0.999996y
q6/ss = -0.999996x -0.002972y
q6/corner_x = 16.924360
q6/corner_y = 36.155000

; sensor MPCCD-8B0-2-003-7
q7/adu_per_eV = 0.001000
q7/min_fs = 0
q7/min_ss = 6144
q7/max_fs = 511
q7/max_ss = 7167
q7/fs = -0.002875x +0.999996y
q7/ss = -0.999996x -0.002875y
q7/corner_x = -34.627000
q7/corner_y = -497.938008

; sensor MPCCD-8B0-2-003-8
q8/adu_per_eV = 0.001000
q8/min_fs = 0
q8/min_ss = 7168
q8/max_fs = 511
q8/max_ss = 8191
q8/fs = -0.005033x +0.999987y
q8/ss = -0.999987x -0.005033y
q8/corner_x = -37.147600
q8/corner_y = -1033.852031

; Bad regions near edges of each sensor
badv1/min_fs = 0
badv1/max_fs = 4
badv1/min_ss = 0
badv1/max_ss = 8191

badv2/min_fs = 507
badv2/max_fs = 511
badv2/min_ss = 0
badv2/max_ss = 8191

badq0h1/min_fs = 0
badq0h1/max_fs = 511
badq0h1/min_ss = 0
badq0h1/max_ss = 4

badq1h1/min_fs = 0
badq1h1/max_fs = 511
badq1h1/min_ss = 1024
badq1h1/max_ss = 1028

badq2h1/min_fs = 0
badq2h1/max_fs = 511
badq2h1/min_ss = 2048
badq2h1/max_ss = 2052

badq3h1/min_fs = 0
badq3h1/max_fs = 511
badq3h1/min_ss = 3072
badq3h1/max_ss = 3076

badq4h1/min_fs = 0
badq4h1/max_fs = 511
badq4h1/min_ss = 4096
badq4h1/max_ss = 4100

badq5h1/min_fs = 0
badq5h1/max_fs = 511
badq5h1/min_ss = 5120
badq5h1/max_ss = 5124

badq6h1/min_fs = 0
badq6h1/max_fs = 511
badq6h1/min_ss = 6144
badq6h1/max_ss = 6148

badq7h1/min_fs = 0
badq7h1/max_fs = 511
badq7h1/min_ss = 7168
badq7h1/max_ss = 7172

; Bad regions near outer edges of each sensor
badq0h2/min_fs = 0
badq0h2/max_fs = 511
badq0h2/min_ss = 1019
badq0h2/max_ss = 1023

badq1h2/min_fs = 0
badq1h2/max_fs = 511
badq1h2/min_ss = 2043
badq1h2/max_ss = 2047

badq2h2/min_fs = 0
badq2h2/max_fs = 511
badq2h2/min_ss = 3067
badq2h2/max_ss = 3071

badq3h2/min_fs = 0
badq3h2/max_fs = 511
badq3h2/min_ss = 4091
badq3h2/max_ss = 4095

badq4h2/min_fs = 0
badq4h2/max_fs = 511
badq4h2/min_ss = 5115
badq4h2/max_ss = 5119

badq5h2/min_fs = 0
badq5h2/max_fs = 511
badq5h2/min_ss = 6139
badq5h2/max_ss = 6143

badq6h2/min_fs = 0
badq6h2/max_fs = 511
badq6h2/min_ss = 7163
badq6h2/max_ss = 7167

badq7h2/min_fs = 0
badq7h2/max_fs = 511
badq7h2/min_ss = 8187
badq7h2/max_ss = 8191

